Announcement

Collapse
No announcement yet.

Fedora 21 Drops Support For A Bunch Of Old GPUs

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Fedora 21 Drops Support For A Bunch Of Old GPUs

    Phoronix: Fedora 21 Drops Support For A Bunch Of Old GPUs

    While Fedora 20 isn't going to be released until at least December, changes are already ongoing for its successor, Fedora 21. This first major Fedora Linux release of 2014 will abandon support for quite a few older graphics processors...

    http://www.phoronix.com/vr.php?view=MTQ5NDk

  • #2
    Aww man, now where am I going to run my totally sweet Trident 4MB video card from the 90's?

    Comment


    • #3
      Geode

      Anyone have more details why about the Geode change? I thought they had found a maintainer..

      Also, what about KMS based VESA support?

      Comment


      • #4
        Originally posted by meltingrobot View Post
        ... totally sweet Trident 4MB video card ...
        Trident sucks!! Matrox G200 kicks its ass big time!!

        (Yeah, let's start a mid-90's video card flame war for a change. This nvidia vs amd thing is getting boring...)

        Comment


        • #5
          Some of these are the embedded video on servers. And given "Red Hat" (yes, I know, Red Hat is *not* Fedora) propensity for *graphical only* administration tools, this could be a mistake (??).

          I know even contemporary cards made by vendors with supposed KMS support do not work with KMS, even though some people think they should (particular contemporary Nvidia's come to mind).

          I will certainly be watching this one...

          Comment


          • #6
            Originally posted by cjcox View Post
            Some of these are the embedded video on servers. And given "Red Hat" (yes, I know, Red Hat is *not* Fedora) propensity for *graphical only* administration tools, this could be a mistake (??).

            I know even contemporary cards made by vendors with supposed KMS support do not work with KMS, even though some people think they should (particular contemporary Nvidia's come to mind).

            I will certainly be watching this one...
            Someone else is free to pick them up if they care enough, even another Red Hat employee. Ajax is just saying "Its not me anymore." One very important thing that Michael did cover last time, I think, but definitely didn't mention THIS time... These old drivers? No one tests them anymore. Their maintenance is "Did it compile for this release? Yes? Good. No? Fix the build error." They could be broken at runtime, but as long a they build okay, they get shipped. So the idea of them being "supported" isnt even really valid NOW, pre-drop.

            Comment


            • #7
              The default install of fedora has been fail (either slow, glitchy, drops you to an error screen, or if you are lucky falls back to fallback mode) on older graphics cards since Gnome 3. Its about time the system requirements said 'You need a new (last 5 years) intel, amd or nvidia', and directed people with other hardware to a MATE/xfce spin.

              We still have plenty of workstations with MGA G200e cards.

              Comment


              • #8
                Nooooooooooooo!!!

                I still have around (with tons of dust collected):

                R128, Rendition, s3virge, Savage, Matrox G200 and yes a Trident !

                the good ol days

                P.S. I wonder if the open source Vga crowdfunding project is able to match any of those.

                Comment


                • #9
                  Originally posted by madjr View Post
                  P.S. I wonder if the open source Vga crowdfunding project is able to match any of those.
                  I think you can piece together something on a breadboard that can match those...

                  Comment


                  • #10
                    Originally posted by gQuigs View Post
                    Also, what about KMS based VESA support?
                    Using VESA drivers is the very definition of not having support. It's not that your card will not work at all, but it will use a highly generic, unaccelerated driver.

                    Comment

                    Working...
                    X